Package sop.operation

# Interface ExtractCert

public interface ExtractCert

## Method Summary

Modifier and Type
Method
Description
`default Ready`
`key(byte[] key)`
Extract the cert(s) from the provided key(s).
`Ready`
`key(InputStream keyInputStream)`
Extract the cert(s) from the provided key(s).
`ExtractCert`
`noArmor()`
Disable ASCII armor encoding.

## Method Details

### noArmor

ExtractCert noArmor()
Disable ASCII armor encoding.

Returns:
  builder instance

### key

Ready key(InputStream keyInputStream) throws IOException, SOPGPException.BadData
Extract the cert(s) from the provided key(s).

Parameters:
  `keyInputStream` - input stream containing the encoding of one or more OpenPGP keys
Returns:
  result containing the encoding of the keys certs
Throws:
  `IOException` - in case of an IO error
  `SOPGPException.BadData` - if the `InputStream` does not contain an OpenPGP key

### key

default Ready key(byte[] key) throws IOException, SOPGPException.BadData
Extract the cert(s) from the provided key(s).

Parameters:
  `key` - byte array containing the encoding of one or more OpenPGP key
Returns:
  result containing the encoding of the keys certs
Throws:
  `IOException` - in case of an IO error
  `SOPGPException.BadData` - if the byte array does not contain an OpenPGP key